<?php

use EventPortal\Domain\Agenda\Models\Pathway;
use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\Models\EventDelegate;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(EventDelegate::class, static function () {
    return [
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'delegate_id' => function () {
            return factory(Delegate::class)->create()->id;
        },
        'pathway_id' => function () {
            return factory(Pathway::class)->create()->id;
        },
        'status' => 'candidate',
    ];
});


$factory->state(EventDelegate::class, 'candidate', static function () {
    return [
        'status' => 'candidate',
    ];
});


$factory->state(EventDelegate::class, 'invited', static function () {
    return [
        'status' => 'invited',
    ];
});

$factory->state(EventDelegate::class, 'declining', static function () {
    return [
        'status' => 'declining',
    ];
});

$factory->state(EventDelegate::class, 'declined', static function () {
    return [
        'status' => 'declined',
    ];
});

$factory->state(EventDelegate::class, 'registering', static function () {
    return [
        'status' => 'registering',
    ];
});

$factory->state(EventDelegate::class, 'registered', static function () {
    return [
        'status' => 'registered',
    ];
});

$factory->state(EventDelegate::class, 'attended', static function () {
    return [
        'status' => 'attended',
    ];
});

$factory->state(EventDelegate::class, 'cancelled', static function () {
    return [
        'status' => 'cancelled',
    ];
});

$factory->state(EventDelegate::class, 'no_show', static function () {
    return [
        'status' => 'no_show',
    ];
});
