<?php

namespace EventPortal\Tests\Unit\Util;

use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Util\Status;
use EventPortal\Tests\TestCase;

class StatusTest extends TestCase
{
    /** @test **/
    public function can_get_as_options()
    {
        $expected = [
            Option::make('Draft'),
            Option::make('Published'),
            Option::make('Post'),
            Option::make('Cancelled'),
            Option::make('Archived'),
        ];

        $this->assertEquals($expected, Status::make('event')->asOptions());
    }

    /** @test **/
    public function can_get_for_filters()
    {
        $expected = [
            Option::make('Draft'),
            Option::make('Published'),
            Option::make('Post'),
            Option::make('Cancelled'),
        ];

        $this->assertEquals($expected, Status::make('event')->forFilters());
    }

    /** @test **/
    public function can_get_readable_version_of_status()
    {
        $this->assertEquals('Published', Status::make('event')->getReadable('published'));
        $this->assertEquals('Cancelled', Status::make('event')->getReadable('cancelled'));
    }
}
